import pathSorter = require("path-sort")

//noinspection SpellCheckingInspection
export const expectedLinuxContents = ["/",
  "/opt/",
  "/usr/",
  "/opt/TestApp/",
  "/opt/TestApp/blink_image_resources_200_percent.pak",
  "/opt/TestApp/content_resources_200_percent.pak",
  "/opt/TestApp/content_shell.pak",
  "/opt/TestApp/icudtl.dat",
  "/opt/TestApp/libffmpeg.so",
  "/opt/TestApp/libnode.so",
  "/opt/TestApp/LICENSE",
  "/opt/TestApp/LICENSES.chromium.html",
  "/opt/TestApp/natives_blob.bin",
  "/opt/TestApp/snapshot_blob.bin",
  "/opt/TestApp/TestApp",
  "/opt/TestApp/ui_resources_200_percent.pak",
  "/opt/TestApp/views_resources_200_percent.pak",
  "/usr/share/",
  "/opt/TestApp/resources/",
  "/opt/TestApp/resources/app.asar",
  "/opt/TestApp/resources/electron.asar",
  "/usr/share/applications/",
  "/usr/share/applications/TestApp.desktop",
  "/usr/share/doc/",
  "/usr/share/icons/",
  "/usr/share/doc/testapp/",
  "/usr/share/doc/testapp/changelog.gz",
  "/usr/share/icons/hicolor/",
  "/usr/share/icons/hicolor/128x128/",
  "/usr/share/icons/hicolor/16x16/",
  "/usr/share/icons/hicolor/24x24/",
  "/usr/share/icons/hicolor/256x256/",
  "/usr/share/icons/hicolor/32x32/",
  "/usr/share/icons/hicolor/48x48/",
  "/usr/share/icons/hicolor/512x512/",
  "/usr/share/icons/hicolor/64x64/",
  "/usr/share/icons/hicolor/96x96/",
  "/usr/share/icons/hicolor/128x128/apps/",
  "/usr/share/icons/hicolor/128x128/apps/TestApp.png",
  "/usr/share/icons/hicolor/16x16/apps/",
  "/usr/share/icons/hicolor/16x16/apps/TestApp.png",
  "/usr/share/icons/hicolor/24x24/apps/",
  "/usr/share/icons/hicolor/24x24/apps/TestApp.png",
  "/usr/share/icons/hicolor/256x256/apps/",
  "/usr/share/icons/hicolor/256x256/apps/TestApp.png",
  "/usr/share/icons/hicolor/32x32/apps/",
  "/usr/share/icons/hicolor/32x32/apps/TestApp.png",
  "/usr/share/icons/hicolor/48x48/apps/",
  "/usr/share/icons/hicolor/48x48/apps/TestApp.png",
  "/usr/share/icons/hicolor/512x512/apps/",
  "/usr/share/icons/hicolor/512x512/apps/TestApp.png",
  "/usr/share/icons/hicolor/64x64/apps/",
  "/usr/share/icons/hicolor/64x64/apps/TestApp.png",
  "/usr/share/icons/hicolor/96x96/apps/",
  "/usr/share/icons/hicolor/96x96/apps/TestApp.png"]

//noinspection SpellCheckingInspection
export const expectedWinContents = [
  "lib/net45/blink_image_resources_200_percent.pak",
  "lib/net45/content_resources_200_percent.pak",
  "lib/net45/content_shell.pak",
  "lib/net45/d3dcompiler_47.dll",
  "lib/net45/ffmpeg.dll",
  "lib/net45/icudtl.dat",
  "lib/net45/libEGL.dll",
  "lib/net45/libGLESv2.dll",
  "lib/net45/LICENSE",
  "lib/net45/LICENSES.chromium.html",
  "lib/net45/natives_blob.bin",
  "lib/net45/node.dll",
  "lib/net45/snapshot_blob.bin",
  "lib/net45/TestApp.exe",
  "lib/net45/ui_resources_200_percent.pak",
  "lib/net45/Update.exe",
  "lib/net45/views_resources_200_percent.pak",
  "lib/net45/xinput1_3.dll",
  "lib/net45/locales/en-US.pak",
  "lib/net45/resources/app.asar",
  "lib/net45/resources/electron.asar",
  "TestApp.nuspec",
  "[Content_Types].xml",
  "_rels/.rels"
]

export const nsisPerMachineInstall = pathSorter([
  "Program Files/TestApp",
  "Program Files/TestApp/blink_image_resources_200_percent.pak",
  "Program Files/TestApp/content_resources_200_percent.pak",
  "Program Files/TestApp/content_shell.pak",
  "Program Files/TestApp/d3dcompiler_47.dll",
  "Program Files/TestApp/ffmpeg.dll",
  "Program Files/TestApp/icudtl.dat",
  "Program Files/TestApp/libEGL.dll",
  "Program Files/TestApp/libGLESv2.dll",
  "Program Files/TestApp/LICENSE",
  "Program Files/TestApp/LICENSES.chromium.html",
  "Program Files/TestApp/natives_blob.bin",
  "Program Files/TestApp/node.dll",
  "Program Files/TestApp/snapshot_blob.bin",
  "Program Files/TestApp/TestApp.exe",
  "Program Files/TestApp/ui_resources_200_percent.pak",
  "Program Files/TestApp/Uninstall TestApp.exe",
  "Program Files/TestApp/views_resources_200_percent.pak",
  "Program Files/TestApp/xinput1_3.dll",
  "Program Files/TestApp/resources",
  "Program Files/TestApp/resources/app.asar",
  "Program Files/TestApp/resources/electron.asar",
  "Program Files/TestApp/resources/foo.ico",
  "Program Files/TestApp/locales",
  "Program Files/TestApp/locales/am.pak",
  "Program Files/TestApp/locales/ar.pak",
  "Program Files/TestApp/locales/bg.pak",
  "Program Files/TestApp/locales/bn.pak",
  "Program Files/TestApp/locales/ca.pak",
  "Program Files/TestApp/locales/cs.pak",
  "Program Files/TestApp/locales/da.pak",
  "Program Files/TestApp/locales/de.pak",
  "Program Files/TestApp/locales/el.pak",
  "Program Files/TestApp/locales/en-GB.pak",
  "Program Files/TestApp/locales/en-US.pak",
  "Program Files/TestApp/locales/es-419.pak",
  "Program Files/TestApp/locales/es.pak",
  "Program Files/TestApp/locales/et.pak",
  "Program Files/TestApp/locales/fa.pak",
  "Program Files/TestApp/locales/fake-bidi.pak",
  "Program Files/TestApp/locales/fi.pak",
  "Program Files/TestApp/locales/fil.pak",
  "Program Files/TestApp/locales/fr.pak",
  "Program Files/TestApp/locales/gu.pak",
  "Program Files/TestApp/locales/he.pak",
  "Program Files/TestApp/locales/hi.pak",
  "Program Files/TestApp/locales/hr.pak",
  "Program Files/TestApp/locales/hu.pak",
  "Program Files/TestApp/locales/id.pak",
  "Program Files/TestApp/locales/it.pak",
  "Program Files/TestApp/locales/ja.pak",
  "Program Files/TestApp/locales/kn.pak",
  "Program Files/TestApp/locales/ko.pak",
  "Program Files/TestApp/locales/lt.pak",
  "Program Files/TestApp/locales/lv.pak",
  "Program Files/TestApp/locales/ml.pak",
  "Program Files/TestApp/locales/mr.pak",
  "Program Files/TestApp/locales/ms.pak",
  "Program Files/TestApp/locales/nb.pak",
  "Program Files/TestApp/locales/nl.pak",
  "Program Files/TestApp/locales/pl.pak",
  "Program Files/TestApp/locales/pt-BR.pak",
  "Program Files/TestApp/locales/pt-PT.pak",
  "Program Files/TestApp/locales/ro.pak",
  "Program Files/TestApp/locales/ru.pak",
  "Program Files/TestApp/locales/sk.pak",
  "Program Files/TestApp/locales/sl.pak",
  "Program Files/TestApp/locales/sr.pak",
  "Program Files/TestApp/locales/sv.pak",
  "Program Files/TestApp/locales/sw.pak",
  "Program Files/TestApp/locales/ta.pak",
  "Program Files/TestApp/locales/te.pak",
  "Program Files/TestApp/locales/th.pak",
  "Program Files/TestApp/locales/tr.pak",
  "Program Files/TestApp/locales/uk.pak",
  "Program Files/TestApp/locales/vi.pak",
  "Program Files/TestApp/locales/zh-CN.pak",
  "Program Files/TestApp/locales/zh-TW.pak",
  "users/Public/Desktop/TestApp.lnk",
  "users/Public/Start Menu/Programs/TestApp.lnk"
])